Bug 402541 - Review Request: goocanvasmm - C++ interface for goocanvas
Review Request: goocanvasmm - C++ interface for goocanvas
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-28 06:08 EST by Denis Leroy
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-29 17:35:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Denis Leroy 2007-11-28 06:08:04 EST
Spec URL: http://www.poolshark.org/src/goocanvasmm.spec
SRPM URL: http://www.poolshark.org/src/goocanvasmm-0.4.0-1.fc8.src.rpm

Description: 
This package provides a C++ interface for goocanvas. It is a
subpackage of the gtkmm project. The interface provides a convenient
interface for C++ programmers to create Gnome GUIs with GTK+'s
flexible object-oriented framework.
Comment 1 Parag AN(पराग) 2007-11-28 06:55:55 EST
1)saw some doxygen messages in build.log as
doxygen Doxyfile
Warning: Tag `USE_WINDOWS_ENCODING' at line 11 of file Doxyfile has become obsolete.
To avoid this warning please update your configuration file using "doxygen -u"

2)also while generating docs I saw in build.log
Generating member ish: dot: command not found
Problems running dot: exit code=127, command='dot',
arguments='"classGtk_1_1Container__inherit__graph.dot" -Tpng -o
"classGtk_1_1Container__inherit__graph.png"'
sh: dot: command not found

Comment 2 Denis Leroy 2007-11-28 08:20:46 EST
Spec URL: http://www.poolshark.org/src/goocanvasmm.spec
SRPM URL: http://www.poolshark.org/src/goocanvasmm-0.4.0-2.fc8.src.rpm

doxygen warning fixed. I also added graphviz BR.

I'm still seeing graphviz/dot errors in mock's build log, but that seems to be a
mock bug: i guess it installs graphviz with '--noscript' which failes to setup
dot's plugin configuration file... I don't know how koji would handle this.
Comment 3 Parag AN(पराग) 2007-11-29 01:06:54 EST
I can't see any problem like dot errors in new mock build
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
2d1d634184a7564a913fd5b80bda4b5d  goocanvasmm-0.4.0.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ Compiler flags used correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ goocanvasmm-1.0.pc file present.
+ -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ ldconfig scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package goocanvasmm-0.4.0-2.fc9 ->
  Provides: libgoocanvasmm-0.1.so.1
  Requires: libatk-1.0.so.0 libatkmm-1.6.so.1 libc.so.6 libc.so.6(GLIBC_2.1.3)
libcairo.so.2 libcairomm-1.0.so.1 libdl.so.2 libgcc_s.so.1
libgcc_s.so.1(GCC_3.0) libgdk-x11-2.0.so.0 libgdk_pixbuf-2.0.so.0
libgdkmm-2.4.so.1 libglib-2.0.so.0 libglibmm-2.4.so.1 libgmodule-2.0.so.0
libgobject-2.0.so.0 libgoocanvas.so.3 libgoocanvasmm-0.1.so.1
libgtk-x11-2.0.so.0 libgtkmm-2.4.so.1 libm.so.6 libpango-1.0.so.0
libpangocairo-1.0.so.0 libpangomm-1.4.so.1 libsigc-2.0.so.0 libstdc++.so.6
libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4) rtld(GNU_HASH)
+ Package goocanvasmm-devel-0.4.0-2.fc9 ->
  Requires: goocanvas-devel goocanvasmm = 0.4.0-2.fc9 gtkmm24-devel
libgoocanvasmm-0.1.so.1 pkgconfig
+ Not a GUI App.
APPROVED.
Comment 4 Denis Leroy 2007-11-29 05:03:39 EST
New Package CVS Request
=======================
Package Name: goocanvasmm
Short Description: C++ interface for goocanvas
Owners: denis
Branches: F-8 devel
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2007-11-29 15:07:27 EST
cvs done.
Comment 6 Denis Leroy 2007-11-29 17:35:11 EST
Thanks for the review :-)

Note You need to log in before you can comment on or make changes to this bug.